@charset "utf-8";

/*チェックボックスデザイン*/
/* Base for label styling */
[type="checkbox"]:not(:checked),
[type="checkbox"]:checked {
  position: absolute;
  left: 0;
  opacity: 0.01;
}

[type="checkbox"]:not(:checked) + label,
[type="checkbox"]:checked + label {
  position: relative;
  padding-left: 2.3em;
  font-size: 18px;
  cursor: pointer;
}

/* checkbox aspect */
[type="checkbox"]:not(:checked) + label:before,
[type="checkbox"]:checked + label:before {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  width: 18px;
  height: 18px;
  border: 1px solid #aaa;
  background: #FFF;
  border-radius: .2em;
  box-shadow: inset 0 1px 3px rgba(0,0,0,.1), 0 0 0 #02ab2f;
  -webkit-transition: all .275s;
  transition: all .275s;
  transform: translateY(-50%);
}

/* checked mark aspect */
[type="checkbox"]:not(:checked) + label:after,
[type="checkbox"]:checked + label:after {
  content: '✔️';
  position: absolute;
  left: 1px;
  top: 50%;
  font-size: 18px;
  color: #02ab2f;
  line-height: 1;
  -webkit-transition: all .2s;
  transition: all .2s;
  transform: translateY(-50%);
}

/* checked mark aspect changes */
[type="checkbox"]:not(:checked) + label:after {
  opacity: 0;
  transform: translateY(-50%) scale(0) rotate(45deg);
}

[type="checkbox"]:checked + label:after {
  opacity: 1;
  transform: translateY(-50%) scale(1) rotate(0);
}

/* Disabled checkbox */
[type="checkbox"]:disabled:not(:checked) + label:before,
[type="checkbox"]:disabled:checked + label:before {
  box-shadow: none;
  border-color: #bbb;
  background-color: #e9e9e9;
}

[type="checkbox"]:disabled:checked + label:after {
  color: #777;
}

[type="checkbox"]:disabled + label {
  color: #aaa;
}

/* Accessibility */
[type="checkbox"]:checked:focus + label:before,
[type="checkbox"]:not(:checked):focus + label:before {
  box-shadow: inset 0 1px 3px rgba(0,0,0,.1), 0 0 0 6px #02ab2f;
}